.product-card-wrapper {
    width: 90%;
    padding: 5px;
}
.product-card {
    position: relative;
    box-shadow: 0 0 4px #00000040;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 5;
}

.product-card .img-product {
    display: grid;
    grid-template-areas: 'stack';
}

.product-card .img-product img {
    aspect-ratio: 1 / 1;
    width: 100%;
    object-fit: cover;
    border-radius: 5px 5px 0 0;
    grid-area: stack;
}

.product-card .img-product:hover .main-img {
    visibility: hidden;
}

.product-card .img-product .alt-img {
    visibility: hidden;
    
}

.product-card .img-product:hover .alt-img {
    visibility: visible;
}

.hover-item {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 4;
    background-color: #e0e0e04d;
    padding: 12px 18px;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    border-radius: 5px;
    transform: translateY(100%);
    transition-property: transform, background-color, box-shadow;
    transition-duration: 300ms;
    transition-timing-function: ease;
}

.hover-item:hover {
    background-color: #e0e0e01a;
    box-shadow: 0 2px 2px #00000040;
}

.product-card-wrapper:hover .hover-item {
    transform: translateY(-5%);
}

.product-card .info-product {
    padding: 12px;
}

.product-card * {
    font-family: Inter, sans-serif;
}

.product-card .stock-status {
    position: absolute;
    left: 0;
    top: 0;
    padding: 5px 10px;
    border-top-left-radius: 6px;
    border-bottom-right-radius: 6px;
    font-size: 12px;
}

.product-card .stock-status.in-stock {
    background-color: #ecfdf5;
    color: #028166;
}

.product-card .stock-status.out-of-stock {
    background-color: #fef2f2;
    color: #b91c1c;
}

.product-card .stock-status.stop-selling {
    background-color: #fef2f2;
    color: #b91c1c;
}

.product-card .icon-shopping {
    position: absolute;
    bottom: 12px;
    right: 5px;
    cursor: pointer;
}
